Loading...
Searching...
No Matches
stringpiece.h File Reference

C++ API: StringPiece: Read-only byte string wrapper class. More...

`#include "unicode/utypes.h"`
`#include <cstddef>`
`#include <string_view>`
`#include <type_traits>`
`#include "unicode/uobject.h"`
`#include "unicode/std_string.h"`

Go to the source code of this file.

## Data Structures

class | icu::StringPiece
| A string-like object that points to a sized piece of memory. More...

## Namespaces

namespace | icu
| File coll.h.

## Functions

U_COMMON_API UBool | icu::operator== (const StringPiece &x, const StringPiece &y)
| Global operator == for StringPiece.
bool | icu::operator!= (const StringPiece &x, const StringPiece &y)
| Global operator != for StringPiece.

## Detailed Description

C++ API: StringPiece: Read-only byte string wrapper class.

Definition in file stringpiece.h.